
function onThink(cid, interval)
    broadcastMessage("O servidor será desligado em 5 minutos.")
    for i = 1, 4 do
        addEvent(function()
            if i == 3 then
                broadcastMessage("O servidor será desligado em "..(5 - i).." minutos, por favor saia das hunts perigosas.")
            else
                broadcastMessage("O servidor será desligado em "..(5 - i).." minutos.")
            end
        end, i * 1000 * 60)
    end
    addEvent(function()
        doSaveServer()
        doShutdown()
    end, 5 * 1000 * 60)
    return true
end    